General :  K-Meleon Forum
General discussion about K-Meleon. 
old version of K-Meleon
Posted by: chi4one
Date: October 16, 2017 12:13PM

Can anyone please tell me which version of Firefox corresponds to K-Meleon 1.5.3? I been getting the run-around by Google!

Options: ReplyQuote
Re: old version of K-Meleon
Posted by: J.G.
Date: October 16, 2017 04:45PM

Quote
chi4one
Can anyone please tell me which version of Firefox corresponds to K-Meleon 1.5.3? I been getting the run-around by Google!

If I'm right, the Mozilla engine was 1.8.1.21, that belongs to Firefox 3.6. smiling smiley

Options: ReplyQuote
Re: old version of K-Meleon
Posted by: siria
Date: October 17, 2017 05:16AM

The download page says gecko 1.8.1.21, but when I open my old installation the useragent shown in Menu>Help is:
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.1.23) Gecko/20090825 K-Meleon/1.5.3
Could well be that the gecko engine inside was updated some time later, that was usual at the time.

According to this list gecko 1.8.1 is Firefox 2 (!!)
https://developer.mozilla.org/en-US/docs/Mozilla/Gecko/Versions

But why in the world do you want to use such a horribly obsolete version?? I'm not usually someone nagging others to update everything cool smiley but even on win98 KM1.6 (gecko FF3.5) can be used! Okay, only after some OS updates and KernelEx, that's a bit tricky. But at the very least would try KM1.5.4, that still runs natively on w98 and contains some bugfixes and other updates.

Options: ReplyQuote
Re: old version of K-Meleon
Posted by: J.G.
Date: October 17, 2017 07:07AM

I have found some UA with gecko 1.8.1.20, 1.8.1.21 and 1.8.1.24 related to FF 3.6, and also 1.9.2 and 1.9.3pre:
http://www.useragentstring.com/pages/useragentstring.php?all=TRUE&name=Firefox&vers=3.6
UA 1.8.1.21 for FF 3.6: http://www.useragentstring.com/index.php?id=15488
mad smiley

Options: ReplyQuote
Re: old version of K-Meleon
Posted by: siria
Date: October 17, 2017 08:20AM

LOL!
Of course KM-users are not the only ones using fake Useragents to avoid those nasty "outdated browser" barriers on certain pages grinning smiley

But KM1.6 always was a sibling of FF3.5, and KM1.7 of FF3.6

Options: ReplyQuote
Re: old version of K-Meleon
Posted by: J.G.
Date: October 17, 2017 05:42PM

Quote
siria
LOL!
Of course KM-users are not the only ones using fake Useragents to avoid those nasty "outdated browser" barriers on certain pages grinning smiley
But KM1.6 always was a sibling of FF3.5, and KM1.7 of FF3.6

LOL! I didn't think about that! Very good answer! tongue sticking out smiley

Options: ReplyQuote


K-Meleon forum is powered by Phorum.